﻿using Microsoft.Extensions.Logging;
using NLog.Extensions.Logging;
using System;
using System.Threading;
using System.Diagnostics;
using System.Threading.Tasks;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.UA;

namespace Dsa.Acs.Core.Tools.Test.NLogRessourceTest
{
    class Program
    {
        private static EasyUAClient easyUAClient = null;

        private static void Start(string[] args)
        {
            ILoggerFactory loggerFactory = new LoggerFactory().AddNLog();

            ILogger logger = loggerFactory.CreateLogger<Program>();
            logger.LogInformation("NLogRessourceTest has started");
            Console.WriteLine("NLogRessourceTest has started.");

            easyUAClient = new EasyUAClient();

            long run = 1;
            while (true)
            {
                logger.LogInformation("NLogRessourceTest run {0}.", run);
                Thread.Sleep(25);
                run++;
            }
        }

        public static void Main(string[] args)
        {
            Start(args);
        }
    }
}